Get Reservations received from your PMS along with rental revenue information.

Returns reservations synced from the PMS connected to the PriceLabs account.

Headers

X-API-KeystringRequired

Query parameters

pmsstringRequired
PMS to fetch reservations from. If the PMS does not provide reservations, no rows are returned.
start_datedateRequired

Inclusive check-in filter start (YYYY-MM-DD). Filters reservations in [start_date, end_date).

end_datedateRequired

Exclusive check-in filter end (YYYY-MM-DD). Filters reservations in [start_date, end_date).

listing_idstringOptional
Optional filter to a single listing.
include_hiddenenumOptionalDefaults to true

When "false", hidden listings are excluded.

Allowed values:
booked_start_datedateOptional

Optional filter on booking date (inclusive, YYYY-MM-DD).

booked_end_datedateOptional

Optional filter on booking date (inclusive day, YYYY-MM-DD).

includestringOptional

When the value contains available, available reservations are included.

limitintegerOptionalDefaults to 100

Results per page (default 100).

offsetintegerOptionalDefaults to 0

Pagination offset (default 0). Increment while next_page is true.

Response

Success. Keep requesting pages until next_page is false.

pms_namestring
Lowercased PMS name from the request.
next_pageboolean

true when the number of returned rows equals limit (more pages may exist). Keep requesting until false.

datalist of objects
Reservation rows for the request. Empty when the PMS does not provide reservations.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error